Bug Hunting Session
Bug 122546 - Spaces within formulas in Writer (LO 6.1.3.2)
Summary: Spaces within formulas in Writer (LO 6.1.3.2)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 19:26 UTC by JCarlos
Modified: 2019-01-17 11:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Image of the error (80.05 KB, image/jpeg)
2019-01-07 19:28 UTC, JCarlos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JCarlos 2019-01-07 19:26:21 UTC
Description:
Hi, last versions of LibreOffice (6.1) have important bugs related to the integration of spaces in mathematical formulas, although theoretically those problems were solved at least three years ago.

Steps to Reproduce:
1.Insert->object->formula
2.Try something simples as "2 = {6+2} over {3+1}"
3.Many spaces disappear from the formula

Actual Results:
Many spaces disappear from the formula

Expected Results:
All the spaces in place


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 JCarlos 2019-01-07 19:28:15 UTC
Created attachment 148114 [details]
Image of the error
Comment 2 Regina Henschel 2019-01-07 23:00:02 UTC
I cannot reproduce the error in Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL

Please try it with the current version 6.1.4. In case you still get this error, please test whether it is influenced by your settings for OpenGL (in Tools > Options > LibreOffice > View).
Comment 3 JCarlos 2019-01-08 11:15:57 UTC
I have obtained the same errors on two different machines running Windows 10 and with the last SPANISH version of LibreOffice
(Versión: 6.1.3.2 (x64)
Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: GL;
Configuración regional: es-ES (es_ES); Calc: group threaded )

I have NOT obtained it in a machine running Ubuntu with the last English-Linux version
(Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 2; OS: Linux 3.13; UI render: default; VCL: gtk2;
Locale: es-ES (es_ES.UTF-8); Calc: group threaded)

Thank you again,

J. Carlos
Comment 4 Mike Kaganski 2019-01-08 12:14:02 UTC
(In reply to JCarlos from comment #3)
> I have obtained the same errors on two different machines running Windows 10
> and with the last SPANISH version of LibreOffice
> (Versión: 6.1.3.2 (x64)

There's no "Spanish" or "English" version of LibreOffice - especially for Windows - the released MSI packages all contain all UI languages, and allow you to install any subset of them (your Windows UI language is selected by default). That Spanish site could be somewhat outdated and only offer 6.1.3 version when 6.1.4 is available already for some time on English (main) site is another story. Please check [1].

> Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
> Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: GL;
> Configuración regional: es-ES (es_ES); Calc: group threaded )
> 
> I have NOT obtained it in a machine running Ubuntu with the last
> English-Linux version
> (Version: 6.1.1.2
> Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
> CPU threads: 2; OS: Linux 3.13; UI render: default; VCL: gtk2;
> Locale: es-ES (es_ES.UTF-8); Calc: group threaded)

This is also not "last English-Linux version" - that is only last version that official Ubuntu repo offers. There are 6.1.4 packages available from TDF site; as well as a PPA of Ubuntu LibreOffice Packaging team [2] (which is the team that prepares official Ubuntu LibreOffice).

[1] https://www.libreoffice.org/download/download
[2] https://launchpad.net/~libreoffice/+archive/ubuntu/ppa
Comment 5 JCarlos 2019-01-14 20:01:12 UTC
Thanks a lot, SOLVED with the update to LO 6.1.4.2, but I do not know why it was not giving that option when I looked for new updates from within the program.
Comment 6 Xisco Faulí 2019-01-17 11:20:56 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.